package com.gyee.wisdom.dataadapter.websocket.backwork;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @descrition:
 * @author:Wanghs
 * @date:2019-09-23
 */
@Configuration
public class UniformCodeConfig {

    @Value("${uniformcode.wind_speed_code:AI022}")
    private String windSpeedCode;

    @Value("${uniformcode.roll_speed_code:AI128}")
    private String rollSpeedCode;

    @Value("${uniformcode.power_code:AI130}")
    private String powerCode;

    @Value("${uniformcode.status_code:FJZT8}")
    private String statusCode;

    @Value("${uniformcode.lock_code:XDSL}")
    private String lockCode;

    public String getWindSpeedCode() {
        return windSpeedCode;
    }

    public String getRollSpeedCode() {
        return rollSpeedCode;
    }

    public String getPowerCode() {
        return powerCode;
    }

    public String getStatusCode() {
        return statusCode;
    }

    public String getLockCode() {
        return lockCode;
    }


}
